function [out] = replace_in_file( file,search,replace )
%replace_in_file replaces replace string by search string in file
%  out = 0 if there is no search pattern in file
search_str(1) = {'\'};                                                               
replace_str(1) = {'\\\'};                                                            
search_str(2) = {search};                                                       
replace_str(2) = {replace};

control_in = fileread(file);

if isempty(strfind(control_in,search))
    out = 0;
else
    control_out = regexprep(control_in,search_str, replace_str);
    fid = fopen(file, 'wt');
    fprintf(fid, control_out);
    fclose(fid);
    out = 1;
    clear('control_out');
    clear('fid');
end

clear('search_str');
clear('replace_str');
clear('control_in');

end

