function blkStruct = slblocks
% Returns information about the Universal Software Radio Peripheral (USRP)
% blockset to the Simulink library browser.
%
% For help on this file, see "Simulink -> Working with Block Libraries ->
% Adding libraries to the Library Browser"
%
% @version:		$Id: slblocks.m 218 2009-05-14 16:07:38Z klasing $
% @author:		Enno Klasing <klasing@int.uni-karlsruhe.de>
% @copyright:	Institut fr Nachrichtentechnik, http://www.int.uni-karlsruhe.de
% @license:		GNU General Public License, Version 3

% Information for the "Blocksets and Toolboxes" subsystem (findblib)
blkStruct.Name = sprintf('Universal Software\nRadio Peripheral\n(USRP)');
blkStruct.OpenFcn = 'usrp';
blkStruct.MaskDisplay = 'disp(''USRP'')';

% Information for the "Simulink Library Browser"
Browser(1).Library = 'usrp';
Browser(1).Name    = 'USRP';
Browser(1).IsFlat  = 0;

blkStruct.Browser = Browser;
clear Browser;

blkStruct.ModelUpdaterMethods.fhUpdateModel = @UpdateSimulinkBlocksHelper;


