/**
 * Helper file for the Simulink-USRP-Interface
 *
 * The mex-File usrp_helper.mex[w32] contains both a normal mexFunction and a Simulink
 * S-Function. This file glues it all together into that single mex-File.
 *
 * @version:	$Id: usrp_helper.cpp 220 2009-05-15 07:39:45Z nagel $
 * @author:		Enno Klasing <klasing@int.uni-karlsruhe.de>
 * @copyright:	Institut fr Nachrichtentechnik, http://www.int.uni-karlsruhe.de
 * @license:	GNU General Public License, Version 3
 */


// Include the mexFunction
#ifdef MATLAB_MEX_FILE
#include "UsrpHelperMexFcn.h"
#endif

// Include the SFunction Callback Functions
#include "UsrpHelperSFcnCallbacks.h"


/*
 * This file is a C++ file, but it must be compiled with the C calling conventions
 * so that the Matlab/Simulink engine is able to call this file
 */
extern "C"
{

#ifdef  MATLAB_MEX_FILE    /* Is this file being compiled as a MEX-file? */
#include "simulink.c"      /* MEX-file interface mechanism */
#else
#include "cg_sfun.h"       /* Code generation registration function */
#endif

}
